@font-face {
    src: url('/font/theboldfont.ttf');
}

/* Général */

.root {
    -fx-background-color: #e3dfb8;
}

.text {
    -fx-font-family: "Bahnschrift";
}

/* Box */

.vbox {
    -fx-border-width: 0 0 0 3px;
    -fx-border-color: #000;
    -fx-background-color: rgba(45, 45, 45, 0.8);
    -fx-padding: 100px;
    -fx-alignment: center;
}

.grid {
    -fx-vgap: 20px;
    -fx-padding: 100px 300px;
    -fx-alignment: center;
}

.nbsp-25 {
    -fx-padding: 25px;
}

.nbsp-50 {
    -fx-padding: 50px;
}

/* Titre / Texte */

.title {
    -fx-font-size: 3em;
}

.lbl-title {
    -fx-font-size: 2.2em;
    -fx-text-fill: #F2F2F2;
    -fx-padding: 40px 0 20px 0;
}

.lbl-sub {
    -fx-font-size: 1.2em;
    -fx-text-fill: #D8D8D8;
    -fx-padding: 8px 0;
}

.lbl-player {
    -fx-font-size: 1.7em;
}

/* Bouton */

.button {
    -fx-padding: 10px 20px;
    -fx-pref-width: 200px;
    -fx-background-color: #E6E6E6;
    -fx-border-width: 3px;
    -fx-font-size: 1.5em;
}

.button:hover {
    -fx-text-fill: white;
    -fx-focus-color: transparent;
    -fx-faint-focus-color: transparent;
}

.btn-black {
    -fx-border-color: #2E2E2E;
}

.btn-black:hover {
    -fx-background-color: #2E2E2E;
}

.btn-red {
    -fx-border-color: #DF0101;
}

.btn-red:hover {
    -fx-background-color: #DF0101;
}

.btn-back {
    -fx-border-color: #FF8000;
    /* -fx-pref-width: 120px; */
}

.btn-back:hover {
    -fx-background-color: #FF8000;
}

.btn-green {
    -fx-border-color: #00a605;
}

.btn-green:hover {
    -fx-background-color: #00a605;
}

/* Marges */

.mrg-left {
    -fx-padding: 0 40px;
}

.mrg-left-30 {
    -fx-padding: 0 0 0 40px;
}

.mrg-left-60 {
    -fx-pref-width: 290px;
    -fx-alignment: center;
}

.mrg-right-75 {
    -fx-padding: 0 75px 0 0;
    -fx-pref-width: 290px;
    -fx-alignment: center;
}

.mrg-left-75 {
    -fx-padding: 0 0 0 75px;
    -fx-pref-width: 290px;
    -fx-alignment: center;
}


/* Menu "Règles" */

.img-rules-1 {
    -fx-background-image: url("/img/rules_1.png");
    -fx-background-size: 160px;
    -fx-background-repeat: stretch;
    -fx-padding: 85px 85px;
    -fx-background-position: center center;
}

.img-rules-2 {
    -fx-background-image: url("/img/rules_2.png");
    -fx-background-size: 130px;
    -fx-background-repeat: stretch;
    -fx-padding: 82px 80px;
    -fx-background-position: center center;
}

.btn-rules {
    -fx-padding: 50px 350px;
}

.grid-rules {
    -fx-vgap: 15px;
    -fx-hgap: 5px;
    -fx-padding: 40px 35px 20px 35px;
}

/* Menu "Jouer" */

.pane-play {
    -fx-padding: 80px 200px;
    -fx-vgap: 20px;
}

.lst-play {
    -fx-pref-width: 140px;
}

.scroll-play {
    -fx-padding: 20px 0 0 0;
    -fx-max-width: 240px;
}

.title-play {
    -fx-padding: 10px 0 60px 80px;
}

.pawn-play {
    -fx-padding: 20px 0 0 0;
    -fx-spacing: 30px;
}

.btn-play {
    -fx-spacing: 30px;
    -fx-padding: 80px 0 0 0;
}

.vbox-play {
    -fx-padding: 0 0 0 93px;
}

.mrg-choice {
    -fx-padding: -15px 0 0 0;
}

/* Menu "Démarrer" */

.area-log {
    -fx-padding: 0 -15px 0 15px;
}

.scroll-log {
    -fx-pref-width: 370px;
    -fx-pref-height: 650px;
    -fx-focus-color: transparent;
    -fx-faint-focus-color: transparent;
    -fx-border-width: 2px;
    -fx-border-color: #000;
    -fx-background-color: rgba(45, 45, 45, 0.3);
}

.scroll-log > .viewport {
    -fx-background-color: transparent;
}

.scroll-bar:vertical {
    -fx-background-color: transparent;
}

.txt-log {
    -fx-padding: -20px 10px 0 20px;
}

.txt-flow-log {
    -fx-font: 1.1em "Bahnschrift";
    -fx-fill: #F2F2F2;
}

.btn-game {
    -fx-spacing: 20px;
    -fx-padding: 15px 0 0 0;
}

.box-log {
    -fx-border-width: 0 0 0 3px;
    -fx-border-color: #000;
    -fx-background-color: rgba(45, 45, 45, 0.8);
}

.box-game {
    -fx-alignment: center;
    -fx-pref-height: 80px;
}

.lbl-game {
    -fx-font-size: 1.4em;
    -fx-text-fill: #D8D8D8;
    -fx-padding: 20px 0 0 0;
}

.player-box-game {
    -fx-spacing: 5px;
    -fx-padding: 5px;
}

.bottom-box-game {
    -fx-alignment: center;
    -fx-padding: 10px 0 15px 0;
    -fx-background-color: transparent;
}

.lbl-italic {
    -fx-font-style: italic;
}

.lbl-score {
    -fx-font-size: 2.2em;
}

/* Fin de partie */

.pane-end {
    -fx-background-color: rgba(45, 45, 45, 0.91);
    -fx-pref-width: 860;
    -fx-pref-height: 810;
}

.btn-end {
    -fx-spacing: 20px;
    -fx-alignment: center;
    -fx-padding: 0 0 300px 0px;
}

.lbl-end {
    -fx-font-size: 1.4em;
    -fx-text-fill: #ffe820;
}